<?php

namespace Lavalite\Example\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ExampleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lavalite_example_examples')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite.example.example.view',
                'name'      => 'View Example',
            ],
            [
                'slug'      => 'lavalite.example.example.create',
                'name'      => 'Create Example',
            ],
            [
                'slug'      => 'lavalite.example.example.edit',
                'name'      => 'Update Example',
            ],
            [
                'slug'      => 'lavalite.example.example.delete',
                'name'      => 'Delete Example',
            ],
            
                        [
                'slug'      => 'lavalite.example.example.verify',
                'name'      => 'Verify Example',
            ],
            [
                'slug'      => 'lavalite.example.example.approve',
                'name'      => 'Approve Example',
            ],
            [
                'slug'      => 'lavalite.example.example.publish',
                'name'      => 'Publish Example',
            ],
            [
                'slug'      => 'lavalite.example.example.unpublish',
                'name'      => 'Unpublish Example',
            ],
            [
                'slug'      => 'lavalite.example.example.cancel',
                'name'      => 'Cancel Example',
            ],
            [
                'slug'      => 'lavalite.example.example.archive',
                'name'      => 'Archive Example',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/example/example',
                'name'        => 'Example',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/example/example',
                'name'        => 'Example',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'example',
                'name'        => 'Example',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Example',
                'module'    => 'Example',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite.example.example.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
